# KUKSA Documentation

This folder contain various documents related to KUKSA

Document  | Content/Comment
----------|--------------------
[Eclipse Kuksa™ Databroker User Guide](user_guide.md) | Guide on how to start and configure Kuksa Databroker
[Kuksa Quickstart](quickstart.md) | Introduction on how to interact with Kuksa Databroker
[Kuksa System Components and Deployment](system-architecture.md) | Description of the Kuksa Architecture
[Supported Protocols](protocol.md) | Protocols supported by Kuksa Databroker
[Databroker sdv.databroker.v1 Query Syntax](QUERY.md) | Query syntax available in `sdv.databroker.v1`
[Kuksa TLS concept](tls.md) | Introduction to the Kuksa TLS Concept
[Kuksa Authorization Concept](authorization.md) | Introduction to the Kuksa Token Concept
[Runtime behavior and potential attacks](behavior.md) | Description of the runtime behavior of Kuksa Databroker
[Deployment Blueprints](deployment.md) | Logical description of possible deployments of Kuksa
[Kuksa Analysis](kuksa_analysis.md) |Functional requirements, design topics and use case diagrams
[Mapping VSS data types to protobuf Types](TYPES.md) | How VSS datatypes are represented internally in Kuksa Databroker
[Terminology](terminology.md) | Description of terms commonly used in Kuksa Documentation
[Wildcard Matching Rules](wildcard_matching.md) | Wildcard matching rules for `sdv.databroker.v1` and `kuksa.val.v1`
